@echo off&Title annie视频下载工具

:VDstart
set annie="%CD%\Main\Tools\annie.exe"
echo.&echo.
echo -------------------------------------
echo.
echo.
echo annie视频下载工具
echo （注：默认16线程下载，如果遇到HTTP 403，可尝试进入更多功能 → a2使用单线程下载）
echo.&echo.
echo 	输入 0 可返回主菜单
echo.&echo.
set /p URL=请输入视频网址并回车:

If "%URL%"=="0" call "AYY-VideoDown.BAT"
set OP=-o "%CD%\Download\annie-down" -n 16 -C -retry 6 &Goto annieDown

:annieDown
%annie% %OP% %URL% &Goto VDstart
